llvm.org GIT mirror llvm / baa8acd
Include stddef.h before including cxxabi.h On FreeBSD 10.0, size_t needs to be defined before including cxxabi.h. Currenty HAVE_CXXABI_H is not defined on FreeBSD because of that reason. This patch teaches cmake and configure how to include it. http://reviews.llvm.org/D5940 git-svn-id: https://llvm.org/svn/llvm-project/llvm/trunk@220665 91177308-0d34-0410-b5e6-96231b3b80d8 Rui Ueyama 4 years ago
3 changed file(s) with 68 addition(s) and 410 deletion(s). Raw diff Collapse all Expand all
15911591 AC_HEADER_TIME
15921592
15931593 AC_LANG_PUSH([C++])
1594 AC_CHECK_HEADERS([cxxabi.h])
1594 dnl size_t must be defined before including cxxabi.h on FreeBSD 10.0.
1595 AC_CHECK_HEADERS([cxxabi.h], [], [],
1596 [#include
1597 ])
15951598 AC_LANG_POP([C++])
1599
15961600 AC_CHECK_HEADERS([dlfcn.h execinfo.h fcntl.h inttypes.h link.h])
15971601 AC_CHECK_HEADERS([malloc.h setjmp.h signal.h stdint.h termios.h unistd.h])
15981602 AC_CHECK_HEADERS([utime.h])
4141 endfunction()
4242
4343 # include checks
44 check_include_file_cxx(cxxabi.h HAVE_CXXABI_H)
4544 check_include_file(dirent.h HAVE_DIRENT_H)
4645 check_include_file(dlfcn.h HAVE_DLFCN_H)
4746 check_include_file(errno.h HAVE_ERRNO_H)
7978
8079 check_include_file(mach/mach.h HAVE_MACH_MACH_H)
8180 check_include_file(mach-o/dyld.h HAVE_MACH_O_DYLD_H)
81
82 # size_t must be defined before including cxxabi.h on FreeBSD 10.0.
83 check_cxx_source_compiles("
84 #include
85 #include
86 " HAVE_CXXABI_H)
8287
8388 # library checks
8489 if( NOT PURE_WINDOWS )
772772 XML2CONFIG
773773 LIBXML2_LIBS
774774 LIBXML2_INC
775 CXXCPP
776775 HAVE_PTHREAD
777776 HAVE_LIBZ
778777 HUGE_VAL_SANITY
806805 CXX
807806 CXXFLAGS
808807 CCC
809 CPP
810 CXXCPP'
808 CPP'
811809 ac_subdirs_all='projects/test-suite
812810 projects/llvm-test
813811 projects/poolalloc
14861484 CXX C++ compiler command
14871485 CXXFLAGS C++ compiler flags
14881486 CPP C preprocessor
1489 CXXCPP C++ preprocessor
14901487
14911488 Use these variables to override the choices made by `configure' or to help
14921489 it to find libraries and programs with nonstandard names/locations.
1095210949 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1095310950 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
1095410951
10955 ac_ext=cpp
10956 ac_cpp='$CXXCPP $CPPFLAGS'
10957 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
10958 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
10959 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
10960 { echo "$as_me:$LINENO: checking how to run the C++ preprocessor" >&5
10961 echo $ECHO_N "checking how to run the C++ preprocessor... $ECHO_C" >&6; }
10962 if test -z "$CXXCPP"; then
10963 if test "${ac_cv_prog_CXXCPP+set}" = set; then
10964 echo $ECHO_N "(cached) $ECHO_C" >&6
10965 else
10966 # Double quotes because CXXCPP needs to be expanded
10967 for CXXCPP in "$CXX -E" "/lib/cpp"
10968 do
10969 ac_preproc_ok=false
10970 for ac_cxx_preproc_warn_flag in '' yes
10971 do
10972 # Use a header file that comes with gcc, so configuring glibc
10973 # with a fresh cross-compiler works.
10974 # Prefer to if __STDC__ is defined, since
10975 # exists even on freestanding compilers.
10976 # On the NeXT, cc -E runs the code through the compiler's parser,
10977 # not just through cpp. "Syntax error" is here to catch this case.
10978 cat >conftest.$ac_ext <<_ACEOF
10979 /* confdefs.h. */
10980 _ACEOF
10981 cat confdefs.h >>conftest.$ac_ext
10982 cat >>conftest.$ac_ext <<_ACEOF
10983 /* end confdefs.h. */
10984 #ifdef __STDC__
10985 # include
10986 #else
10987 # include
10988 #endif
10989 Syntax error
10990 _ACEOF
10991 if { (ac_try="$ac_cpp conftest.$ac_ext"
10992 case "(($ac_try" in
10993 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10994 *) ac_try_echo=$ac_try;;
10995 esac
10996 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10997 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
10998 ac_status=$?
10999 grep -v '^ *+' conftest.er1 >conftest.err
11000 rm -f conftest.er1
11001 cat conftest.err >&5
11002 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11003 (exit $ac_status); } >/dev/null; then
11004 if test -s conftest.err; then
11005 ac_cpp_err=$ac_cxx_preproc_warn_flag
11006 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
11007 else
11008 ac_cpp_err=
11009 fi
11010 else
11011 ac_cpp_err=yes
11012 fi
11013 if test -z "$ac_cpp_err"; then
11014 :
11015 else
11016 echo "$as_me: failed program was:" >&5
11017 sed 's/^/| /' conftest.$ac_ext >&5
11018
11019 # Broken: fails on valid input.
11020 continue
11021 fi
11022
11023 rm -f conftest.err conftest.$ac_ext
11024
11025 # OK, works on sane cases. Now check whether nonexistent headers
11026 # can be detected and how.
11027 cat >conftest.$ac_ext <<_ACEOF
11028 /* confdefs.h. */
11029 _ACEOF
11030 cat confdefs.h >>conftest.$ac_ext
11031 cat >>conftest.$ac_ext <<_ACEOF
11032 /* end confdefs.h. */
11033 #include
11034 _ACEOF
11035 if { (ac_try="$ac_cpp conftest.$ac_ext"
11036 case "(($ac_try" in
11037 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11038 *) ac_try_echo=$ac_try;;
11039 esac
11040 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11041 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
11042 ac_status=$?
11043 grep -v '^ *+' conftest.er1 >conftest.err
11044 rm -f conftest.er1
11045 cat conftest.err >&5
11046 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11047 (exit $ac_status); } >/dev/null; then
11048 if test -s conftest.err; then
11049 ac_cpp_err=$ac_cxx_preproc_warn_flag
11050 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
11051 else
11052 ac_cpp_err=
11053 fi
11054 else
11055 ac_cpp_err=yes
11056 fi
11057 if test -z "$ac_cpp_err"; then
11058 # Broken: success on invalid input.
11059 continue
11060 else
11061 echo "$as_me: failed program was:" >&5
11062 sed 's/^/| /' conftest.$ac_ext >&5
11063
11064 # Passes both tests.
11065 ac_preproc_ok=:
11066 break
11067 fi
11068
11069 rm -f conftest.err conftest.$ac_ext
11070
11071 done
11072 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
11073 rm -f conftest.err conftest.$ac_ext
11074 if $ac_preproc_ok; then
11075 break
11076 fi
11077
11078 done
11079 ac_cv_prog_CXXCPP=$CXXCPP
11080
11081 fi
11082 CXXCPP=$ac_cv_prog_CXXCPP
11083 else
11084 ac_cv_prog_CXXCPP=$CXXCPP
11085 fi
11086 { echo "$as_me:$LINENO: result: $CXXCPP" >&5
11087 echo "${ECHO_T}$CXXCPP" >&6; }
11088 ac_preproc_ok=false
11089 for ac_cxx_preproc_warn_flag in '' yes
11090 do
11091 # Use a header file that comes with gcc, so configuring glibc
11092 # with a fresh cross-compiler works.
11093 # Prefer to if __STDC__ is defined, since
11094 # exists even on freestanding compilers.
11095 # On the NeXT, cc -E runs the code through the compiler's parser,
11096 # not just through cpp. "Syntax error" is here to catch this case.
11097 cat >conftest.$ac_ext <<_ACEOF
11098 /* confdefs.h. */
11099 _ACEOF
11100 cat confdefs.h >>conftest.$ac_ext
11101 cat >>conftest.$ac_ext <<_ACEOF
11102 /* end confdefs.h. */
11103 #ifdef __STDC__
11104 # include
11105 #else
11106 # include
11107 #endif
11108 Syntax error
11109 _ACEOF
11110 if { (ac_try="$ac_cpp conftest.$ac_ext"
11111 case "(($ac_try" in
11112 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11113 *) ac_try_echo=$ac_try;;
11114 esac
11115 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11116 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
11117 ac_status=$?
11118 grep -v '^ *+' conftest.er1 >conftest.err
11119 rm -f conftest.er1
11120 cat conftest.err >&5
11121 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11122 (exit $ac_status); } >/dev/null; then
11123 if test -s conftest.err; then
11124 ac_cpp_err=$ac_cxx_preproc_warn_flag
11125 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
11126 else
11127 ac_cpp_err=
11128 fi
11129 else
11130 ac_cpp_err=yes
11131 fi
11132 if test -z "$ac_cpp_err"; then
11133 :
11134 else
11135 echo "$as_me: failed program was:" >&5
11136 sed 's/^/| /' conftest.$ac_ext >&5
11137
11138 # Broken: fails on valid input.
11139 continue
11140 fi
11141
11142 rm -f conftest.err conftest.$ac_ext
11143
11144 # OK, works on sane cases. Now check whether nonexistent headers
11145 # can be detected and how.
11146 cat >conftest.$ac_ext <<_ACEOF
11147 /* confdefs.h. */
11148 _ACEOF
11149 cat confdefs.h >>conftest.$ac_ext
11150 cat >>conftest.$ac_ext <<_ACEOF
11151 /* end confdefs.h. */
11152 #include
11153 _ACEOF
11154 if { (ac_try="$ac_cpp conftest.$ac_ext"
11155 case "(($ac_try" in
11156 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11157 *) ac_try_echo=$ac_try;;
11158 esac
11159 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11160 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
11161 ac_status=$?
11162 grep -v '^ *+' conftest.er1 >conftest.err
11163 rm -f conftest.er1
11164 cat conftest.err >&5
11165 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11166 (exit $ac_status); } >/dev/null; then
11167 if test -s conftest.err; then
11168 ac_cpp_err=$ac_cxx_preproc_warn_flag
11169 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
11170 else
11171 ac_cpp_err=
11172 fi
11173 else
11174 ac_cpp_err=yes
11175 fi
11176 if test -z "$ac_cpp_err"; then
11177 # Broken: success on invalid input.
11178 continue
11179 else
11180 echo "$as_me: failed program was:" >&5
11181 sed 's/^/| /' conftest.$ac_ext >&5
11182
11183 # Passes both tests.
11184 ac_preproc_ok=:
11185 break
11186 fi
11187
11188 rm -f conftest.err conftest.$ac_ext
11189
11190 done
11191 # Because of `break', _AC_PREPROC_IFELSE's cleaning code was skipped.
11192 rm -f conftest.err conftest.$ac_ext
11193 if $ac_preproc_ok; then
11194 :
11195 else
11196 { { echo "$as_me:$LINENO: error: C++ preprocessor \"$CXXCPP\" fails sanity check
11197 See \`config.log' for more details." >&5
11198 echo "$as_me: error: C++ preprocessor \"$CXXCPP\" fails sanity check
11199 See \`config.log' for more details." >&2;}
11200 { (exit 1); exit 1; }; }
11201 fi
11202
11203 ac_ext=cpp
11204 ac_cpp='$CXXCPP $CPPFLAGS'
11205 ac_compile='$CXX -c $CXXFLAGS $CPPFLAGS conftest.$ac_ext >&5'
11206 ac_link='$CXX -o conftest$ac_exeext $CXXFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
11207 ac_compiler_gnu=$ac_cv_cxx_compiler_gnu
11208
11209
1121010952
1121110953 for ac_header in cxxabi.h
1121210954 do
1121310955 as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
11214 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11215 { echo "$as_me:$LINENO: checking for $ac_header" >&5
11216 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
11217 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
11218 echo $ECHO_N "(cached) $ECHO_C" >&6
11219 fi
11220 ac_res=`eval echo '${'$as_ac_Header'}'`
11221 { echo "$as_me:$LINENO: result: $ac_res" >&5
11222 echo "${ECHO_T}$ac_res" >&6; }
11223 else
11224 # Is the header compilable?
11225 { echo "$as_me:$LINENO: checking $ac_header usability" >&5
11226 echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6; }
11227 cat >conftest.$ac_ext <<_ACEOF
11228 /* confdefs.h. */
11229 _ACEOF
11230 cat confdefs.h >>conftest.$ac_ext
11231 cat >>conftest.$ac_ext <<_ACEOF
11232 /* end confdefs.h. */
11233 $ac_includes_default
11234 #include <$ac_header>
11235 _ACEOF
11236 rm -f conftest.$ac_objext
11237 if { (ac_try="$ac_compile"
11238 case "(($ac_try" in
11239 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11240 *) ac_try_echo=$ac_try;;
11241 esac
11242 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11243 (eval "$ac_compile") 2>conftest.er1
11244 ac_status=$?
11245 grep -v '^ *+' conftest.er1 >conftest.err
11246 rm -f conftest.er1
11247 cat conftest.err >&5
11248 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11249 (exit $ac_status); } &&
11250 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
11251 { (case "(($ac_try" in
11252 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11253 *) ac_try_echo=$ac_try;;
11254 esac
11255 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11256 (eval "$ac_try") 2>&5
11257 ac_status=$?
11258 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11259 (exit $ac_status); }; } &&
11260 { ac_try='test -s conftest.$ac_objext'
11261 { (case "(($ac_try" in
11262 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11263 *) ac_try_echo=$ac_try;;
11264 esac
11265 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11266 (eval "$ac_try") 2>&5
11267 ac_status=$?
11268 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11269 (exit $ac_status); }; }; then
11270 ac_header_compiler=yes
11271 else
11272 echo "$as_me: failed program was:" >&5
11273 sed 's/^/| /' conftest.$ac_ext >&5
11274
11275 ac_header_compiler=no
11276 fi
11277
11278 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
11279 { echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
11280 echo "${ECHO_T}$ac_header_compiler" >&6; }
11281
11282 # Is the header present?
11283 { echo "$as_me:$LINENO: checking $ac_header presence" >&5
11284 echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6; }
11285 cat >conftest.$ac_ext <<_ACEOF
11286 /* confdefs.h. */
11287 _ACEOF
11288 cat confdefs.h >>conftest.$ac_ext
11289 cat >>conftest.$ac_ext <<_ACEOF
11290 /* end confdefs.h. */
11291 #include <$ac_header>
11292 _ACEOF
11293 if { (ac_try="$ac_cpp conftest.$ac_ext"
11294 case "(($ac_try" in
11295 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
11296 *) ac_try_echo=$ac_try;;
11297 esac
11298 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11299 (eval "$ac_cpp conftest.$ac_ext") 2>conftest.er1
11300 ac_status=$?
11301 grep -v '^ *+' conftest.er1 >conftest.err
11302 rm -f conftest.er1
11303 cat conftest.err >&5
11304 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11305 (exit $ac_status); } >/dev/null; then
11306 if test -s conftest.err; then
11307 ac_cpp_err=$ac_cxx_preproc_warn_flag
11308 ac_cpp_err=$ac_cpp_err$ac_cxx_werror_flag
11309 else
11310 ac_cpp_err=
11311 fi
11312 else
11313 ac_cpp_err=yes
11314 fi
11315 if test -z "$ac_cpp_err"; then
11316 ac_header_preproc=yes
11317 else
11318 echo "$as_me: failed program was:" >&5
11319 sed 's/^/| /' conftest.$ac_ext >&5
11320
11321 ac_header_preproc=no
11322 fi
11323
11324 rm -f conftest.err conftest.$ac_ext
11325 { echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
11326 echo "${ECHO_T}$ac_header_preproc" >&6; }
11327
11328 # So? What about this header?
11329 case $ac_header_compiler:$ac_header_preproc:$ac_cxx_preproc_warn_flag in
11330 yes:no: )
11331 { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
11332 echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
11333 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
11334 echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
11335 ac_header_preproc=yes
11336 ;;
11337 no:yes:* )
11338 { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
11339 echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
11340 { echo "$as_me:$LINENO: WARNING: $ac_header: check for missing prerequisite headers?" >&5
11341 echo "$as_me: WARNING: $ac_header: check for missing prerequisite headers?" >&2;}
11342 { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
11343 echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
11344 { echo "$as_me:$LINENO: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&5
11345 echo "$as_me: WARNING: $ac_header: section \"Present But Cannot Be Compiled\"" >&2;}
11346 { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
11347 echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
11348 { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
11349 echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
11350 ( cat <<\_ASBOX
11351 ## ------------------------------------ ##
11352 ## Report this to http://llvm.org/bugs/ ##
11353 ## ------------------------------------ ##
11354 _ASBOX
11355 ) | sed "s/^/$as_me: WARNING: /" >&2
11356 ;;
11357 esac
1135810956 { echo "$as_me:$LINENO: checking for $ac_header" >&5
1135910957 echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6; }
1136010958 if { as_var=$as_ac_Header; eval "test \"\${$as_var+set}\" = set"; }; then
1136110959 echo $ECHO_N "(cached) $ECHO_C" >&6
1136210960 else
11363 eval "$as_ac_Header=\$ac_header_preproc"
10961 cat >conftest.$ac_ext <<_ACEOF
10962 /* confdefs.h. */
10963 _ACEOF
10964 cat confdefs.h >>conftest.$ac_ext
10965 cat >>conftest.$ac_ext <<_ACEOF
10966 /* end confdefs.h. */
10967 #include
10968
10969
10970 #include <$ac_header>
10971 _ACEOF
10972 rm -f conftest.$ac_objext
10973 if { (ac_try="$ac_compile"
10974 case "(($ac_try" in
10975 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10976 *) ac_try_echo=$ac_try;;
10977 esac
10978 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10979 (eval "$ac_compile") 2>conftest.er1
10980 ac_status=$?
10981 grep -v '^ *+' conftest.er1 >conftest.err
10982 rm -f conftest.er1
10983 cat conftest.err >&5
10984 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10985 (exit $ac_status); } &&
10986 { ac_try='test -z "$ac_cxx_werror_flag" || test ! -s conftest.err'
10987 { (case "(($ac_try" in
10988 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10989 *) ac_try_echo=$ac_try;;
10990 esac
10991 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
10992 (eval "$ac_try") 2>&5
10993 ac_status=$?
10994 echo "$as_me:$LINENO: \$? = $ac_status" >&5
10995 (exit $ac_status); }; } &&
10996 { ac_try='test -s conftest.$ac_objext'
10997 { (case "(($ac_try" in
10998 *\"* | *\`* | *\\*) ac_try_echo=\$ac_try;;
10999 *) ac_try_echo=$ac_try;;
11000 esac
11001 eval "echo \"\$as_me:$LINENO: $ac_try_echo\"") >&5
11002 (eval "$ac_try") 2>&5
11003 ac_status=$?
11004 echo "$as_me:$LINENO: \$? = $ac_status" >&5
11005 (exit $ac_status); }; }; then
11006 eval "$as_ac_Header=yes"
11007 else
11008 echo "$as_me: failed program was:" >&5
11009 sed 's/^/| /' conftest.$ac_ext >&5
11010
11011 eval "$as_ac_Header=no"
11012 fi
11013
11014 rm -f core conftest.err conftest.$ac_objext conftest.$ac_ext
1136411015 fi
1136511016 ac_res=`eval echo '${'$as_ac_Header'}'`
1136611017 { echo "$as_me:$LINENO: result: $ac_res" >&5
1136711018 echo "${ECHO_T}$ac_res" >&6; }
11368
11369 fi
1137011019 if test `eval echo '${'$as_ac_Header'}'` = yes; then
1137111020 cat >>confdefs.h <<_ACEOF
1137211021 #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
1138111030 ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
1138211031 ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
1138311032 ac_compiler_gnu=$ac_cv_c_compiler_gnu
11033
1138411034
1138511035
1138611036
1976019410 XML2CONFIG!$XML2CONFIG$ac_delim
1976119411 LIBXML2_LIBS!$LIBXML2_LIBS$ac_delim
1976219412 LIBXML2_INC!$LIBXML2_INC$ac_delim
19763 CXXCPP!$CXXCPP$ac_delim
1976419413 HAVE_PTHREAD!$HAVE_PTHREAD$ac_delim
1976519414 HAVE_LIBZ!$HAVE_LIBZ$ac_delim
1976619415 HUGE_VAL_SANITY!$HUGE_VAL_SANITY$ac_delim
1978519434 LTLIBOBJS!$LTLIBOBJS$ac_delim
1978619435 _ACEOF
1978719436
19788 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 97; then
19437 if test `sed -n "s/.*$ac_delim\$/X/p" conf$$subs.sed | grep -c X` = 96; then
1978919438 break
1979019439 elif $ac_last_try; then
1979119440 { { echo "$as_me:$LINENO: error: could not make $CONFIG_STATUS" >&5